# How to Contribute

We're excited you're interested in contributing to Tolgee! We'd love your help, and there are plenty of ways to
contribute:

* Give the repo a star
* Join our [slack](https://join.slack.com/t/tolgeecommunity/shared_invite/zt-195isb5u8-_RcSRgVJfvgsPpOBIok~IQ) channel
  and leave us feedback or help with answering questions from the community
* Fix or [report](https://github.com/tolgee/tolgee-platform/issues/new) a bug
* Fix or improve [documentation](https://github.com/tolgee/documentation)
* For newcomers, pick up a ["good first issue"](https://github.com/tolgee/tolgee-platform/labels/good%20first%20issue),
  then send a pull request our way (see the [resources](#resources) section below for helpful links to get started)

## Running and debugging the project

- Everything you should know is described in
  the [development wiki](https://github.com/tolgee/tolgee-platform/wiki/Development)

# Resources

* [How to Contribute to Open Source](https://opensource.guide/how-to-contribute)
* [Using the Fork-and-Branch Git Workflow](https://blog.scottlowe.org/2015/01/27/using-fork-branch-git-workflow)
* [Understanding the GitHub flow](https://guides.github.com/introduction/flow/)
* [Keep a Changelog](https://keepachangelog.com)
* [Code Review Developer Guide](https://google.github.io/eng-practices/review)
* [Signing Commits](https://docs.github.com/en/github/authenticating-to-github/signing-commits)
